Page MenuHomePhabricator

Replicate Parsoid v1 API functionality in RESTBase
Closed, ResolvedPublic

Event Timeline

GWicke raised the priority of this task from to Needs Triage.
GWicke updated the task description. (Show Details)
GWicke added a project: RESTBase-Usecase.
GWicke added a subscriber: GWicke.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2015, 8:48 PM

Are we talking here about encapsulating Parsoid's API following RESTBase's logic and hierarchy or pure copying/proxying (with the same URI structure as Parsoid's)?

GWicke added a comment.EditedFeb 2 2015, 11:39 PM

@mobrovac, we are talking about providing *the same functionality*, in an API that makes sense as a wider content API (so not necessarily the same as the Parsoid API). We already do this for the most part, there are only some minor bits like support for the bodyOnly flag missing.

GWicke updated the task description. (Show Details)Feb 4 2015, 7:35 PM
GWicke set Security to None.
GWicke added a comment.EditedFeb 12 2015, 11:57 PM

Current spec: https://github.com/wikimedia/restbase/blob/master/specs/mediawiki/v1/content.yaml

The main bit of missing functionality is the bodyOnly flag in wt2html transformations (body in the v1 API), which lets clients retrieve only body.innerHTML.

GWicke triaged this task as High priority.

bodyOnly is now implemented.

The functionality is now fairly complete. HTML to wikitext conversion with selective serialization is still blocked on T89411, but I think otherwise we are in good shape.

GWicke closed this task as Resolved.Feb 17 2015, 6:48 PM

Resolving, as selective serialization is now working as well.